.side-menu {
    position: fixed;
    top: 0;
    height: 100%;
    width: 250px;
    background-color: #333;
    transition: all 0.3s;
    z-index: 9999;
}

html[dir="rtl"] .side-menu {
    right: -250px;

}

html[dir="ltr"] .side-menu {
    left: -250px;

}

.side-menu ul {
    list-style-type: none;
    padding: 0;
}

.side-menu ul li {
    padding: 15px;
    text-align: right;
}

.side-menu ul li a {
    color: #fff;
    text-decoration: none;
    display: block;
}

.side-menu ul li a:hover {
    background-color: #575757;
}

.side-menu .row {
    margin-top: 15px;
}

.side-menu .row .logo {
    margin-right: auto !important;
    margin-left: auto;
}

.language-min {
    display: flex;
    justify-content: center;
}


@media (min-width: 991px) {
    #menu-toggle {
        display: none;
    }

}

@media (min-width: 767px) {
    .language-min {
        display: none;
    }
}

@media (max-width: 991px) {
    .container>.logo {
        margin-top: 10px;
    }
}

/* تخصيص الأنماط للقوائم الفرعية */
.submenu {
    display: none;
    /* جعل القائمة الفرعية مخفية في البداية */
    padding-left: 15px;
}

.submenu li {
    padding: 10px 0;
}

.submenu li a {
    padding-left: 20px;
}


/* تصميم السهم بجانب القائمة الفرعية */
html[dir="ltr"] .submenu-toggle::after , html[dir="rtl"] .submenu-toggle::before{
    content: '\23F7';
    
    /* رمز السهم للأسفل */
    font-size: 16px;
    margin-left: 10px;
    transition: transform 0.3s ease;
    /* إضافة تأثير لتحويل السهم */
}

/* عند فتح القائمة الفرعية، نقوم بتدوير السهم */
html[dir="ltr"] .submenu-item.open > .submenu-toggle::after, html[dir="rtl"] .submenu-item.open > .submenu-toggle::before {
    content: '\23F6';

    /* تحويل السهم للأعلى */
}